libepoxy 1.5.4

Functions
common.h File Reference
`#include <stdbool.h>`

## Functions
bool | epoxy_extension_in_string (const char *extension_list, const char *ext)
| Checks for the presence of an extension in an OpenGL extension string. More...

## Detailed Description

A common header file, used to define macros and shared symbols.

## Function Documentation

## ◆ epoxy_extension_in_string()

bool epoxy_extension_in_string | ( | const char * | extension_list,
|  | const char * | ext
| ) |  |

Checks for the presence of an extension in an OpenGL extension string.

Parameters

  extension_list | The string containing the list of extensions to check
  ext | The name of the GL extension

Returns
  `true` if the extension is available'

Note
  If you are looking to check whether a normal GL, EGL or GLX extension is supported by the client, this probably isn't the function you want.

Some parts of the spec for OpenGL and friends will return an OpenGL formatted extension string that is separate from the usual extension strings for the spec. This function provides easy parsing of those strings.

See also
  epoxy_has_gl_extension()
  epoxy_has_egl_extension()
  epoxy_has_glx_extension()